Bug 561128 - Package review: aide
Summary: Package review: aide
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 567668
TreeView+ depends on / blocked
 
Reported: 2010-02-02 19:33 UTC by Miloslav Trmač
Modified: 2010-07-02 13:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 567668 (view as bug list)
Environment:
Last Closed: 2010-07-02 13:17:01 UTC
mitr: fedora-review+


Attachments (Terms of Use)

Description Miloslav Trmač 2010-02-02 19:33:30 UTC
(There probably used to be a review in Extras.)

* Licensing problems:
  * src/fopen.c contains:
    > 2. Redistributions in binary form must reproduce the above copyright
    >    notice, this list of conditions and the following disclaimer in the
    >    documentation and/or other materials provided with the distribution.
    - the BSD advertising clause, incompatible with GPL
  * src/snprintf.c uses the "Frontier Artistic License", AFAICS never approved
    for Fedora (http://fedoraproject.org/wiki/Licensing)
  (In both cases the functionality is probably unnecessary and the files could
  be removed from the source tarball)
  * LICENSE-snprintf.txt is not provided in %doc

* rpmlint:
  > aide.x86_64: W: log-files-without-logrotate /var/log/aide
  Can the log file grow without bounds?

* Uses %makeinstall, is it necessary? Makefile.in seems to support DESTDIR.

* Uses %define, should use %global instead

* Low-severity:
  * The "nostatic" macro is defined, but not used
  * https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Comment 1 Steve Grubb 2010-02-19 18:34:20 UTC
All findings have been addressed in aide-0.13.1-16 except the license issues. This is going to be handled by a new upstream release.

Comment 2 Steve Grubb 2010-02-23 01:23:42 UTC
aide-0.14-0.1.rc1 was built to address all problems found in this package review. Please let me know if there is anything else that needs attention. Thanks.

Comment 3 Miloslav Trmač 2010-02-24 15:28:48 UTC
> aide.src: W: invalid-url Source0: http://download.sourceforge.net/aide/aide-0.14-rc1.tar.gz HTTP Error 404: Not Found
It seems http://download_s_. ... works.

Approved, assuming this will be fixed in the future.

Comment 4 Mark Chappell 2010-07-02 13:52:36 UTC
I - tremble - would be interested in seeing a EL-5 and EL-6 branches and would be happy to (co)maintain if you'd like


Note You need to log in before you can comment on or make changes to this bug.